package com.aucma.base.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 生产工序/工位信息对象 base_process_station
 *
 * @author Yinq
 * @date 2023-11-14
 */
public class BaseProcessStation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 工序/工位编号
     */
    @Excel(name = "工序/工位编号")
    private String processCode;

    /**
     * 工序/工位名称
     */
    @Excel(name = "工序/工位名称")
    private String processName;

    /**
     * 工序类别（1-生产工序；2-质检工序）
     */
    @Excel(name = "工序类别")
    private Long processType;

    /**
     * 所属产线
     */
    @Excel(name = "所属产线")
    private String productLineCode;

    /**
     * 单位生产时间
     */
    @Excel(name = "单位生产时间")
    private Long productionTime;

    /**
     * 日产能
     */
    @Excel(name = "日产能")
    private Long capacityDay;

    /**
     * 月产能
     */
    @Excel(name = "月产能")
    private Long capacityMonth;

    /**
     * 启用标识
     */
    @Excel(name = "启用标识")
    private Long isFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    /**
     * 工位编号
     */
    @Excel(name = "工位编号")
    private String parentId;

    /**
     * 工位名称
     */
    @Excel(name = "工位名称")
    private String stationName;

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    public String getProcessCode() {
        return processCode;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessType(Long processType) {
        this.processType = processType;
    }

    public Long getProcessType() {
        return processType;
    }

    public void setProductLineCode(String productLineCode) {
        this.productLineCode = productLineCode;
    }

    public String getProductLineCode() {
        return productLineCode;
    }

    public void setProductionTime(Long productionTime) {
        this.productionTime = productionTime;
    }

    public Long getProductionTime() {
        return productionTime;
    }

    public void setCapacityDay(Long capacityDay) {
        this.capacityDay = capacityDay;
    }

    public Long getCapacityDay() {
        return capacityDay;
    }

    public void setCapacityMonth(Long capacityMonth) {
        this.capacityMonth = capacityMonth;
    }

    public Long getCapacityMonth() {
        return capacityMonth;
    }

    public void setIsFlag(Long isFlag) {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() {
        return isFlag;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentId() {
        return parentId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("processCode", getProcessCode())
                .append("processName", getProcessName())
                .append("processType", getProcessType())
                .append("productLineCode", getProductLineCode())
                .append("productionTime", getProductionTime())
                .append("capacityDay", getCapacityDay())
                .append("capacityMonth", getCapacityMonth())
                .append("isFlag", getIsFlag())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .append("parentId", getParentId())
                .toString();
    }
}
